import { get, put, post, deletes } from '@/http/index'

// 查询故障注意事项列表
export const getFaultNotes = async (data) => {
  return await get('/als/faultNotes/list', data)
}

// 新增故障注意事项
export const addFaultNotes = async (data) => {
  return await post('/als/faultNotes', data)
}

// 修改故障注意事项
export const updateFaultNotes = async (data) => {
  return await put('/als/faultNotes', data)
}

// 删除故障注意事项
export const removeFaultNotes = async (id) => {
  return await deletes('/als/faultNotes/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
